// CommandHandler.java
//
// Informatics 102 Spring 2012
// Code Example
//
// CommandHandlers are objects that know how to handle individual commands.
// The protocol is simple: pass a byte[] to the command handler and it will
// return you a byte[] representing the result.
//
// Part of what someone would write if they were writing a Java program
// using Q is a set of classes that implement CommandHandler, each
// implementing one of the commands that the Java program should perform
// on behalf of an Erlang program.

package inf102.q.example;


public interface CommandHandler
{
	byte[] handleCommand(byte[] parameterBytes);
}
