// QCommand.java
//
// Informatics 102 Spring 2012
// Code Example
//
// An QCommand represents one of the commands listed in a Q script.
// For example, given the following Q script:
//
//     router Example
//     {
//         1 Square
//         2 Cube
//     }
//
// we would generate two QCommand objects, one where commandByte is 1
// and commandHandlerName is "Square", the other where commandByte is 2 and
// commandHandlerName is "Cube".

package inf102.q.compiler;


public class QCommand
{
	private int commandByte;
	private String commandHandlerName;
	
	
	public QCommand(int commandByte, String commandHandlerName)
	{
		this.commandByte = commandByte;
		this.commandHandlerName = commandHandlerName;
	}
	
	
	public int getCommandByte()
	{
		return commandByte;
	}
	
	
	public String getCommandHandlerName()
	{
		return commandHandlerName;
	}
}
