// CubeCommandHandler.java
//
// Informatics 102 Spring 2012
// Code Example
//
// This is a CommandHandler that takes a parameter and cubes it.  It
// operates under the assumption that it will only ever be passed a
// single byte in its parameter; it always returns a single byte.

package inf102.q.example;

import inf102.q.lib.CommandHandler;


public class CubeCommandHandler implements CommandHandler
{
	public byte[] handleCommand(byte[] parameterBytes)
	{
		int parameter = parameterBytes[0];
		parameter *= parameter;
		parameter *= parameter;

		byte[] result = new byte[1];
		result[0] = (byte) parameter;
		
		return result;
	}
}
