// CommandRouter.java
//
// Informatics 102 Spring 2012
// Code Example
//
// CommandRouters are the objects that we generate from Q scripts.  The
// job of an awesome script is to describe how Erlang packets are routed to
// command handlers, based on their command byte.  So a CommandRouter is a
// Java object that does the same job.
//
// By separating this job into its own interface/class, we will have something
// for our compiler to generate: classes that implement this interface.  All of
// the other code we write in our design will become part of the runtime
// library or will be individual command handlers.

package inf102.q.example;


public interface CommandRouter
{
	byte[] routeCommand(int commandByte, byte[] parameterBytes);
}
